Subject: String class and gdb
From: [email-masked] (Derek Tyler)

17 Oct 1998 19:09:24 -0700
Message-ID: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "GNU Mailing list" <[email-masked]>

I've just started trying to use the
String class. The following code works
OK, but when I put a breakpoint as
shown, and try to examine variables
with
gdb, I get 

(gdb) p s
$1 = <incomplete type> 

#include <String.h>
       
   int main()
           
   {
      String s ;
      s = "Hello";
      String t = " world";
      String v = s + t;
				breakpoint
      cout << v << endl;
   
      return 0;
   }

D Tyler

[email-masked]

D Tyler

[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".